QGIS Application - Bug report #12421
QGIS form : range with decimal > rounding by saving project ?
2015-03-20 09:59 AM - Antoine SIG

Status: Closed

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:2.8.1 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20593
Description

Hey,

Decimal on range field (form customizing) is not save with project.

There is rounding.

Example :

0,2 become 0

On *.gpj : <widgetv2config AllowNull="1" fieldEditable="0" Step="0" Style="SpinBox" labelOnTop="0" Min="0" Max="5"/>
(fieldEditable is always integer)

No alternative ?

Thanks

Associated revisions

Revision 91e44eaf - 2015-06-11 12:39 AM - Jiirgen Fischer

edit widgets: don't truncate double ranges and also support them in sliders and
dials (fixes #12421)

Revision 2bd5b893 - 2015-06-29 06:21 PM - Jiirgen Fischer

edit widget: fix ranges (followup 91e44eaf; fixes #12421)

Revision c6996acd - 2015-06-29 06:23 PM - Jiirgen Fischer

edit widget: fix ranges (followup 91e44eaf; fixes #12421)

Revision 1bf1b33a - 2015-06-29 06:52 PM - Jiirgen Fischer

edit widgets: don't truncate double ranges and also support them in sliders and
dials (fixes #12421)

(cherry picked from commit 91e44ea and c6996ac)

History

#1 - 2015-05-10 01:03 AM - Giovanni Manghi
- Target version changed from Version 2.8.1 to Version 2.8.2
#2 - 2015-05-14 03:02 AM - Giovanni Manghi
- Target version changed from Version 2.8.2 to Veersion 2.10

#3 - 2015-06-10 03:40 PM - Jiirgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"91e44eafea2729bda02db8ac55d50fc54b8e0e56".

#4 - 2015-06-29 05:34 AM - Stefan Blumentrath
- Status changed from Closed to Reopened

Hi, | just tried the stable release and the problem does not seem to be fully fixed.

Now it is no longer possible to specify a decimal in the step parameter (also for double or real or similar numeric fields)...

| can only enter numbers in the "step" parameter, no points or commas...

#5 - 2015-06-29 09:22 AM - Jiirgen Fischer
- Status changed from Reopened to Closed

Fixed in changeset commit:"2bd5b89319118d19692e16f93bd3942c¢99d827a9".
